function Create(self)
	self.LifeTimer = Timer();
	self.PoisonTimer = Timer();
	self.poisonstrength = 10; -- Strength of poison

	self.target = nil; -- Main sticking things
	self.targetclass = nil;
	self.stickpositionX = 0;
	self.stickpositionY = 0;
	self.stickrotation = 0;
	self.stickdirection = 0;
end

function Update(self)
   if self.target == nil then
	local stickobject = SceneMan:CastMORay(self.Pos,Vector(5,0):RadRotate(self.RotAngle),255,0,false,0); -- Cast a ray to look for something to stick to
    if stickobject ~= 255 then
	self.target = MovableMan:GetMOFromID(stickobject);
	self.targetclass = self.target.ClassName; -- Let's set a few variables here for the orientation and positioning to work out
	self.stickpositionX = self.Pos.X-self.target.Pos.X;
	self.stickpositionY = self.Pos.Y-self.target.Pos.Y;
	self.stickrotation = self.target.RotAngle;
	self.stickdirection = self.RotAngle;
	self.LifeTimer:Reset();
    end
   elseif self.target ~= nil and self.target.ClassName == self.targetclass then
	self.ToDelete = false;
	self.ToSettle = false;
	self.Pos = self.target.Pos + Vector(self.stickpositionX,self.stickpositionY):RadRotate(self.target.RotAngle-self.stickrotation); -- sticking to object
	self.RotAngle = self.stickdirection+self.target.RotAngle; -- Proper rotation
	self.Vel = Vector(0,0);
	self.PinStrength = 1000;
	local actor = MovableMan:GetMOFromID(self.target.RootID); -- check if it is an actor part
    if MovableMan:IsActor(actor) and self.PoisonTimer:IsPastSimMS((actor.Mass*10)/self.poisonstrength) then -- if so...
	ToActor(actor).Health = ToActor(actor).Health - 1; -- poison it
	self.PoisonTimer:Reset();
    end
   else
	self.ToDelete = true;
	self.LifeTime = 0;
   end

   if self.LifeTimer:IsPastSimMS(10000) then
	self.ToDelete = true;
	self.LifeTime = 0;
   end

end